Package org.apache.sysds.runtime.controlprogram.paramserv.dp

# Class DRLocalScheme

java.lang.Object
org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionLocalScheme
org.apache.sysds.runtime.controlprogram.paramserv.dp.DRLocalScheme

public class DRLocalScheme extends DataPartitionLocalScheme
Data partitioner Disjoint_Random: for each worker, use a permutation multiply P[beg:end,] %*% X, where P is constructed for example with P=table(seq(1,nrow(X)),sample(nrow(X), nrow(X))), i.e., sampling without replacement to ensure disjointness.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionLocalScheme

`DataPartitionLocalScheme.Result`

## Constructor Summary

Constructors
Constructor
Description
`DRLocalScheme()`

## Method Summary

Modifier and Type
Method
Description
`DataPartitionLocalScheme.Result`
`doPartitioning(int workersNum, MatrixBlock features, MatrixBlock labels)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DRLocalScheme

public DRLocalScheme()

## Method Details

### doPartitioning

public DataPartitionLocalScheme.Result doPartitioning(int workersNum, MatrixBlock features, MatrixBlock labels)

Specified by:
  `doPartitioning` in class `DataPartitionLocalScheme`